/** This code is under the GPL, viewable at http://www.gnu.org/copyleft/gpl.html
 *  You are free to modify and redistribute the code as you see fit, but three main 
 *  conditions exist for usage of this code:
 *  1.  You may only pass on this code with the same rights and priveleges that were given
 *      to you (In other words, you must redistribute this license)
 *  2.  You may NOT distribute this code for sale or for profit.
 *  3.  There are no warranties about this code.  It is designed not to screw up your computer,
 *      but in the case that it does, the writer cannot be held responsible for losses.
 *
 *  Code author:  flug_m (post comments/questions to http://www.saveourtunes.com/forum/ In future
 *                versions, I'll make available alternative means of contact.)
 *  Code Revision date:  August 29, 2007
 *  Code Revision version: 1.0 (This class is finalized)
 *
 *  This class provides an easy means to set the icon for all GUI JFrames in the project.
 *  It's actually recycled code from another program, but this is far easier to get 
 *  a reference to an picture (inside the jar file) than any other means.
 *
 *  To set the icon of a JFrame, follow this procedure:
 *
 *  javax.swing.IconImage icon = new IconImage(ObtainIcon.getIcon());
 *  frame.setIconImage(icon.getImage());
 */

package ourtunes.about;

import java.net.*;

public class ObtainIcon
{
	public static URL getIcon()
	{
		
		return ObtainIcon.class.getResource("Icon.png");
		
	}
	public static void main(String[] args)
	{
		System.out.println(getIcon());
	}
}