/** This code is under the GPL, viewable at http://www.gnu.org/copyleft/gpl.html
 *  You are free to modify and redistribute the code as you see fit, but three main 
 *  conditions exist for usage of this code:
 *  1.  You may only pass on this code with the same rights and priveleges that were given
 *      to you (In other words, you must redistribute this license)
 *  2.  You may NOT distribute this code for sale or for profit.
 *  3.  There are no warranties about this code.  It is designed not to screw up your computer,
 *      but in the case that it does, the writer cannot be held responsible for losses.
 *
 *  Code author:  flug_m (post comments/questions to http://www.saveourtunes.com/forum/ In future
 *                versions, I'll make available alternative means of contact.)
 *  Code Revision date:  September 1, 2007
 *  Code Revision version: 1.0 (no major changes will be made to this class)
 *
 *  The ListItem class is a wrapper class for use with the JList.  It can be quickly 
 *  modified to support ServiceInfo objects if needed, but this generally isn't necessary.
 *
 */
 package ourtunes.gui;
 
import java.util.*;
import javax.jmdns.*;
import java.net.*;
import java.awt.*;

public class ListItem
{
	private String instance;
	
	public ListItem(String instance)
	{
		this.instance = instance;
	}
	public String getInstanceName()
	{
		return instance;
	}
	public boolean equals(ListItem item)
	{
		return instance.equalsIgnoreCase(item.toString());
	}
	//This method is needed to display correctly in the JList.
	public String toString()
	{
		return instance;
	}
}