package ourtunes;

public class Logger
{
    private Logger()
    {
    }

    public static Logger getLogger()
    {
        if (logger != null) return logger;
        
        logger = new Logger();
        
        return logger;
    }
    public void print(String s)
    {
        Thread t = Thread.currentThread();
        
        
        if (reprint) System.out.println("------["+t.getName()+"]------");
        System.out.print(s);
    
        reprint = false;
    }
    public void print(Object s)
    {
        Thread t = Thread.currentThread();
        
        
        if (reprint) System.out.println("------["+t.getName()+"]------");
        System.out.print(s);
    
        reprint = false;
    }
    public void println(String s)
    {
        Thread t = Thread.currentThread();
        
        System.out.println("------["+t.getName()+"]------");
        System.out.println(s);
    
        reprint = true;
    }
    public void println(Object s)
    {
        Thread t = Thread.currentThread();
        
        System.out.println("------["+t.getName()+"]------");
        System.out.println(s);
    
        reprint = true;
    }


    private static Logger logger;
    private boolean reprint = true;
}